Subject: [hiprg] rfid-04

From: Andrei Gurtov <[email-masked]>
Date: Mon, 14 Nov 2011 08:12:41 +0200

I read the new draft, which will be presented on Thursday HIPRG
http://tools.ietf.org/html/draft-irtf-hiprg-rfid-04

I was wondering, is proposed T-BEX interoperating with RFC5201 or
5201bis or DEX HIP? If no, don't we need to request separate IANA
protocol version (or even number)? Is there some way that HIP hosts
can determine which version the other peer is speaking (perhaps that
needs to be embedded to metadata stored for mapping in DNSSEC, DHT, etc).

Regarding HIT-I, is it newly generated for each exchange with a reader?
Draft mentions HIIT-I is generated pseudorandomfly by RFID, but also
says RFID doesn't have timers. So how the randomness can be provided,
if there is no system clock to seed it? How long the generation
process typically takes on a RFID?

Maybe section 1.5 could be extended to summarize differences between
HIP and RFID-HIP in a bit more detail (e.g. in base exchange messages)

Andrei

---

From: Pascal Urien <[email-masked]>
Date: Tue, 15 Nov 2011 00:02:06 +0100

Hi Andrei,

 The first mesage delivered by the HIP-RFID protocol is I1-T whose
packet type is 0x40

 This value could be normalized by IANA ?

Best Regards

Pascal

2011/11/14, Andrei Gurtov <[email-masked]>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iEYEARECAAYFAk7AsVgACgkQP7jp0uceFkSqLgCghJ8VAwHE4wxVdqNhD1djZFuT
> 7oEAoLNOYbFa9y+HgTSdOQkTxHip+jQM
> =oGDB
> -----END PGP SIGNATURE-----
> _______________________________________________
> hiprg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hiprg
>

---

From: Andrei Gurtov <[email-masked]>
Date: Tue, 15 Nov 2011 08:19:59 +0200

Hi,

Please add required IANA reservations to next draft revision.

How about my other questions?

Andrei

On 15.11.2011 1:02, Pascal Urien wrote:
> protocol version (or even number)? Is there some way that HIP
> hosts can determine which version the other peer is speaking
> (perhaps that needs to be embedded to metadata stored for mapping
> in DNSSEC, DHT, etc).
> 
> Regarding HIT-I, is it newly generated for each exchange with a
> reader? Draft mentions HIIT-I is generated pseudorandomfly by RFID,
> but also says RFID doesn't have timers. So how the randomness can
> be provided, if there is no system clock to seed it? How long the
> generation process typically takes on a RFID?
> 
> Maybe section 1.5 could be extended to summarize differences
> between HIP and RFID-HIP in a bit more detail (e.g. in base
> exchange messages)
> 
> Andrei
>> _______________________________________________ hiprg mailing
>> list [email-masked] https://www.irtf.org/mailman/listinfo/hiprg
>>

---

From: Pascal Urien <[email-masked]>
Date: Tue, 15 Nov 2011 08:31:16 +0100

Hi Anderi,

  About the second question, that are many ways (and many patents) to
produce random values in RFID. Roughly speaking there is two families

- seed in a R/W non volatile memory associated to a pseudo random generator
- memories initialized at power on, or PUF (Physical Unclonable Functions)

Best Regards

Pascal

2011/11/15, Andrei Gurtov <[email-masked]>:
> iEYEARECAAYFAk7CBI8ACgkQP7jp0uceFkSYEACg1gUahYv3A6aZB9eJSK6v/CNP
> 1OAAoJRFx7lBF7wwI17b2yxpE/VKeVM+
> =C5YD